Bug 210717 - persian support is pango-boxified
persian support is pango-boxified
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-10-13 17:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 16:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-13 17:02:19 EDT
Description of problem:

The Persian support is incomplete; this is easily seen in the 'Persian'
entry for GUI language selection, and many other things if you actually
select Persian.

We currently include:

It appears that we need at least:

perhaps another font?

Version-Release number of selected component (if applicable):


Additional info:

Noted when testing on a reasonably full install -

$ fc-match :lang=fa
10x20.pcf: "MiscFixed" "Regular"

Comment 1 Bill Nottingham 2006-10-13 17:18:45 EDT
Some further testing in --test mode appears to show that just adding:

is sufficient.
Comment 2 Behdad Esfahbod 2006-10-14 12:19:31 EDT
PakTypeNasqsh is an Urdu font, not Persian.  We don't really have a good Persian
font in Fedora at this time.  We want to get the FarsiWeb fonts in, but that's
not happening for FC6.

What may be easy to do is to patch the Kacst fonts to provide glyphs neded for
Persian.  Still, the Kacst fonts are considered inferior to FarsiWeb fonts even
for Arabic.

Bill, I'll try to find you in the office on Tuesday and discuss this.
Comment 4 Bill Nottingham 2006-10-16 11:36:55 EDT
Whatever solution you think is best is fine - PakTypeNasqsh just appears to have
glyphs for the characters in question (I don't even know if they're correct :)
), so that's what I suggested.
Comment 5 Behdad Esfahbod 2006-10-16 14:04:21 EDT
Just went over all the fonts in fonts-arabic.  The Pak ones are the worst for
Persian.  KacstQura looks acceptable, but as this bug says, doesn't have the
Persian glyphs.

One way or the other, both fail to provide a satisfactory Fedora experience for
Persian users.

There are two other font packages that I can think of:

  * FarsiWeb fonts (aka farsifonts):  this cannot be incorporated at this time

  * SIL's Scheherazade and Lateef:  actually Lateef looks *much* better than all
the Kacst (and Pak FWIW) fonts for Persian.  These two are OFL licensed.  Can we
push those in in an update or something?

Comment 6 Bill Nottingham 2006-10-16 14:15:16 EDT
Hm... maybe get them in Extras first?

Out of curiousity, why can't farsifonts be added?
Comment 8 Red Hat Bugzilla 2007-06-11 23:19:38 EDT
requested by Jams Antill
Comment 9 David Cantrell 2007-08-22 16:20:14 EDT
When farsifonts can be added (or a suitable alternative) to Fedora, please
reopen this bug so we can add the font to the stage2 image.  For now, I'm
putting it in the CANTFIX state.  A reopen later will cause it to show up on a
radar rather than just letting it sit here indefinitely.

Note You need to log in before you can comment on or make changes to this bug.